
type: object
properties:
  fields:
    type: array
    items:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
        placeholder:
          type: string
        isRequired:
          type: boolean
        isDefault:
          type: boolean
        span:
          type: number
          default: 24
        order:
          type: number
        type:
          type: string
          enum: ['text', 'textArea', 'number', 'date']
        value:
          type: string

allOf:
  -  $ref: ../../id.yml
  -  $ref: ../../time-stamps.yml


